Resin 3.1

Overview

Quick Start

Installation

Resin Web Server

Apache

IIS

Plugin Dispatch

Linux Boot

Command-Line

Configuration

<cluster>

clustering, caching, load-balancing, and distributed sessions

<database>

connection pool and database driver configuration

<host>

virtual hosts

Ports

HTTP, SSL, addresses and ports

<resin>

top-level configuration container

Resource tags

database, classloader, jms, bean, and IoC

Rewrite

URL rewriting, dispatching, and load-balancing

<server>

threading, keepalive, timeout, and jvm arguments

session

servlet sessions

variables

configuration variables

<web-app>

servlet and filter configuration

Index

alphabetical list of tags

Relax Schema

Environment

Resin J2EE

Resin web.xml

resin.conf

J2EE Common

J2EE web.xml

Admin

Amber

Clustering

Caching

Database

Deployment

EJB 3.0

Embedding

embedding Resin in an Application or for unit testing

Filters

Hessian

Hessian

Hessian 1.0 spec

Hessian 2.0 draft spec

Java Binding

Burlap

Burlap 1.0 Spec

Burlap Design Notes

Hessian Messaging

HMTP

IoC

Resin's IoC/Dependency Injection

JSP

Introduction

Compilation

EL

JSTL

Directives

Variables

Actions

Applications

Schema for JSP-2.0 .tld files

Velocity syntax

JSP Templates

Logging

access log, java.util.logging, and stdout

Messaging

JMS, JCA, Message Driven Beans and Queues

Performance

Benchmarks

JVM Tuning

Performance FAQ

Performance Scrapbook

Tuning

Quercus/PHP

Security

Quercus gains security advantages from the JVM platform

Module Status

Remoting

exposing Java services as HTTP/Web protocols

Scheduled Tasks

executing tasks, methods and URLs based on cron triggers

Security

Server Push

Servlets

Third-party

Troubleshooting

Virtual Hosting

Watchdog

WebApp

XML and XSLT

Introduction

JAXP

XML Path Language (XPath)

XSLT Filter

XSLT

XPath Functions